Total Access Docs
Openapi

Verify WhatsApp number(s)

Checks if a phone number has an active WhatsApp account. Supports single (`{ phone: "..." }`) or batch (`{ phones: [...] }`) verification.

POST
/api/v1/whatsapp/verify-number

Checks if a phone number has an active WhatsApp account. Supports single ({ phone: "..." }) or batch ({ phones: [...] }) verification.

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for REST API endpoints (user-facing apps).

Authorization: Bearer <jwt_access_token>

Tokens expire after 15 minutes. Use the refresh token to obtain a new one.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/whatsapp/verify-number" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true,  "data": {    "phone": "string",    "has_whatsapp": true  }}